=== debian/control ===
Source: ros-noetic-pr2-teleop-general
Section: misc
Priority: optional
Maintainer: ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-actionlib, ros-noetic-actionlib-msgs, ros-noetic-angles, ros-noetic-catkin, ros-noetic-geometry-msgs, ros-noetic-moveit-msgs, ros-noetic-polled-camera, ros-noetic-pr2-common-action-msgs, ros-noetic-pr2-controller-manager, ros-noetic-pr2-controllers-msgs, ros-noetic-pr2-mechanism-msgs, ros-noetic-pr2-msgs, ros-noetic-ps3joy, ros-noetic-roscpp, ros-noetic-roslaunch, ros-noetic-rostest, ros-noetic-sensor-msgs, ros-noetic-tf, ros-noetic-urdf
Homepage: http://ros.org/wiki/pr2_teleop_general
Standards-Version: 3.9.2

Package: ros-noetic-pr2-teleop-general
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-actionlib, ros-noetic-actionlib-msgs, ros-noetic-angles, ros-noetic-geometry-msgs, ros-noetic-moveit-msgs, ros-noetic-polled-camera, ros-noetic-pr2-arm-kinematics, ros-noetic-pr2-common-action-msgs, ros-noetic-pr2-controller-manager, ros-noetic-pr2-controllers-msgs, ros-noetic-pr2-mannequin-mode, ros-noetic-pr2-mechanism-msgs, ros-noetic-pr2-msgs, ros-noetic-pr2-tuck-arms-action, ros-noetic-ps3joy, ros-noetic-roscpp, ros-noetic-sensor-msgs, ros-noetic-tf, ros-noetic-urdf
Description: pr2_teleop_general
